<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2019 SAP SE or an SAP affiliate company. All rights reserved
-->
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="http://www.springframework.org/schema/beans
           http://www.springframework.org/schema/beans/spring-beans.xsd
           http://www.springframework.org/schema/aop
           http://www.springframework.org/schema/aop/spring-aop.xsd">

	<!--
	The hybris platform provides one single Spring application context for beans located at the jalo layer.
	Each extension can add beans to this context by specifying them at this configuration file.

	You can use and/or redefine beans defined at configuration files of other extensions as well as
	adding new one.

	If you want to locate this file at a different location or want to use several files for better,
	structuring, please use the '<yourextension>.application-context' property at your project.properties file.
	There you can specify a comma separated list of files where first is tried to find a file per classpath and
	then per file system.


	If you want to configure beans for your web module please have a look at
	your web/webroot/WEB-INF/<extname>-web-spring.xml.
	-->

	<!--  Example how to override a manager -->
	<!--
	<bean id="core.productManager"   class="com.hybris.backoffice.jalo.YbackofficeProductManager" 	init-method="init"	destroy-method="destroy" />
	-->


 	<!--  Example how to configure the class to use for jalo session creation -->
	<!--
	<bean id="jalosession"   class="de.hybris.platform.jalo.JaloSessionFactory">
		<property name="targetClassName" value="com.hybris.backoffice.jalo.YbackofficeJaloSession"/>
	</bean>
	-->


	<!--  Example how to override an item  -->
	<!--
	<bean id="de.hybris.platform.jalo.product.Product" class="com.hybris.backoffice.jalo.YbackofficeProduct" scope="prototype" />
 	-->

	<!--
	 Example how to register and use an AOP aspect
     Also see http://static.springframework.org/spring/docs/2.5.x/reference/aop.html
     -->

	<!--
	<bean id="newsbackofficeProfBean" class="com.hybris.backoffice.aop.YbackofficeProfilingAspect"/>
	<aop:config proxy-target-class="true">
  		<aop:aspect id="newsbackofficeProfAspect" ref="newsbackofficeProfBean" >
    	  <aop:pointcut id="profiledMethods"
	      	expression="execution(* getModificationTime(..))" />
	   		<aop:around pointcut-ref="profiledMethods" method="profile" />
  		</aop:aspect>
	</aop:config>
	 -->


	<!-- some other examples of a pointcut that matches everything:

    	  <aop:pointcut id="profiledMethods"
	      	expression="bean(de.hybris.platform.jalo.user.Customer) &amp;&amp;
	      	            !execution(* getPK(..))" />
	       <aop:pointcut id="profiledMethods" expression="execution(* *(..))" />
	  -->



</beans>
